Bug 470823 - handling of right terminal column is peculiar w.r.t. carriage returns
handling of right terminal column is peculiar w.r.t. carriage returns
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 09:22 EST by Moritz Barsnick
Modified: 2009-01-09 01:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2008-11-10 09:22:07 EST
Description of problem:
gnome-terminal's handling of the right terminal column is peculiar with regards to carriage returns. Both selection and text entry behave abnormal when the last character of the line is in the rightmost column.

If I do an "ls -l" with a file whose name reaches exactly into the rightmost column (but no further, no wraparound), I can mark this file name with double click. Yet when I paste this selection, a trailing carriage return is also pasted, though it shouldn't be part of the selection (unless I pull the mouse into the next line while selecting).

What I have also seen twice, but cannot reproduce, is that if an input line of the shell ends exactly on the last column, I need to press return _twice_ to get the line executed. I cannot seem to provoke this behavior right now though.

Version-Release number of selected component (if applicable):
gnome-terminal-2.18.4-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Choose a directory.
2. ls -l
3. Resize gnome-terminal so that one of the filenames ends in the right-most column.
4. ls -l
5. Select that filename with the mouse.
6. Type "echo " into the shell.
7. Paste the selected filename.
  
Actual results:
Shell executes the echo command, as if a carriage return was included in the selection.

Expected results:
Shell waits for you to press return, showing just "echo <filename>" up to here.

Additional info:
- Please reassign to VTE if appropriate.
- I think I've also seen this on i386, also F8 (same package version, different arch, different machine).
Comment 1 Moritz Barsnick 2008-11-10 09:24:40 EST
Also happens with older versions of gnome-terminal: on FC6 (x86_64), package version 2.16.0-2.fc6.

Oh the glory of having old machines around... ;-)
Comment 2 Bug Zapper 2008-11-26 06:17:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:49:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.